<!DOCTYPE html>
<html lang="en" data-layout-decorate="~{layouts/default-list-layout}">

  <head id="head">

    <title data-th-text="#{label_list_entity(#{label_bookingline_plural})}">
    List BookingLine - poc_roo_2_0 - SpringRoo Application</title>

  </head>

  <body id="body">

    <header role="banner">
      <!-- Content replaced by layout of the page displayed -->
    </header>

    <!-- CONTAINER -->
    <div class="container bg-container">
      <!-- CONTENT -->
      <!--
        Only the inner content of the following tag "section" is included
        within the template, in the section "content"
      -->
      <section data-layout-fragment="content" data-th-with="searchLink=${@linkBuilder.of('BookingLinesSearchThymeleafController')},collectionLink=${@linkBuilder.of('BookingLinesCollectionThymeleafController')},itemLink=${@linkBuilder.of('BookingLinesItemThymeleafController')}">
        <div class="container-fluid content">

          <h1 data-th-text="#{label_bookingline_plural}">BookingLines</h1>

          <!-- FILTER -->


          <div class="panel panel-default" data-th-object="${formBean}">

            <div class="panel-heading" data-th-if="${ formBean.description == null &amp;&amp; formBean.cancelled == null &amp;&amp; formBean.priceCost == null &amp;&amp; formBean.priceSell == null }">
              <a class="btn btn-default btn-xs" data-th-with="url=${searchLink.to('byDescriptionAndCancelledAndPriceCostAndPriceSellForm')}" data-th-href="@{${url}(description=*{description},cancelled=*{cancelled},priceCost=*{priceCost},priceSell=*{priceSell})}">
                <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>
              </a>
              <span class="panel-title" data-th-text="#{label_not_filtered}">Not filtered</span>
            </div>

            <div class="panel-heading" data-th-unless="${ formBean.description == null &amp;&amp; formBean.cancelled == null &amp;&amp; formBean.priceCost == null &amp;&amp; formBean.priceSell == null }">
              <span class="btn-group" role="group">
                <a class="btn btn-default btn-xs" data-th-with="url=${searchLink.to('byDescriptionAndCancelledAndPriceCostAndPriceSellForm')}" data-th-href="@{${url}(description=*{description},cancelled=*{cancelled},priceCost=*{priceCost},priceSell=*{priceSell})}">
                  <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>
                </a>
                <a class="btn btn-default btn-xs" role="button" href="#filterBody" data-toggle="collapse">
                  <span class="glyphicon glyphicon-sort" aria-hidden="true"></span>
                </a>
              </span>
              <span class="panel-title">
                <span data-th-text="#{label_filtered_by}">Filtered by</span>:
              </span>
              <span class="label label-default" data-th-unless="*{description == null}">description</span>
              <span class="label label-default" data-th-unless="*{cancelled == null}">cancelled</span>
              <span class="label label-default" data-th-unless="*{priceCost == null}">priceCost</span>
              <span class="label label-default" data-th-unless="*{priceSell == null}">priceSell</span>
            </div>

            <div class="panel-body collapse in" id="filterBody" data-th-unless="${ formBean.description == null &amp;&amp; formBean.cancelled == null &amp;&amp; formBean.priceCost == null &amp;&amp; formBean.priceSell == null }">


                 <a class="btn btn-primary btn-xs" data-th-unless="*{description == null}" data-th-with="url=${searchLink.to('byDescriptionAndCancelledAndPriceCostAndPriceSell')}" data-th-href="@{${url}(cancelled=*{cancelled},priceCost=*{priceCost},priceSell=*{priceSell})}">
                            <span class="glyphicon glyphicon-remove-circle"></span>
                            <span data-th-text="|description: *{description}|">description: a description</span>
                </a>


                 <a class="btn btn-primary btn-xs" data-th-unless="*{cancelled == null}" data-th-with="url=${searchLink.to('byDescriptionAndCancelledAndPriceCostAndPriceSell')}" data-th-href="@{${url}(description=*{description},priceCost=*{priceCost},priceSell=*{priceSell})}">
                            <span class="glyphicon glyphicon-remove-circle"></span>
                            <span data-th-text="|cancelled: *{cancelled}|">cancelled: a cancelled</span>
                </a>


                 <a class="btn btn-primary btn-xs" data-th-unless="*{priceCost == null}" data-th-with="url=${searchLink.to('byDescriptionAndCancelledAndPriceCostAndPriceSell')}" data-th-href="@{${url}(description=*{description},cancelled=*{cancelled},priceSell=*{priceSell})}">
                            <span class="glyphicon glyphicon-remove-circle"></span>
                            <span data-th-text="|priceCost: *{priceCost}|">priceCost: a priceCost</span>
                </a>


                 <a class="btn btn-primary btn-xs" data-th-unless="*{priceSell == null}" data-th-with="url=${searchLink.to('byDescriptionAndCancelledAndPriceCostAndPriceSell')}" data-th-href="@{${url}(description=*{description},cancelled=*{cancelled},priceCost=*{priceCost})}">
                            <span class="glyphicon glyphicon-remove-circle"></span>
                            <span data-th-text="|priceSell: *{priceSell}|">priceSell: a priceSell</span>
                </a>
            </div>

          </div>
          <!-- /FILTER -->

          <!-- TABLE -->
          <div class="table-responsive" id="containerFields">
              <table id="bookingline-entity-table" style="width: 99.7%" class="table table-striped table-hover table-bordered" data-datatables="true" data-row-id="id" data-select="single" data-z="33f11221" data-order="[[ 0, &quot;asc&quot; ]]" data-data-load-url-param-description="${formBean.description}" data-data-load-url-param-cancelled="${formBean.cancelled}" data-data-load-url-param-price-cost="${formBean.priceCost}" data-data-load-url-param-price-sell="${formBean.priceSell}" data-data-load-url="${searchLink.to('byDescriptionAndCancelledAndPriceCostAndPriceSellDt')}" data-data-show-url="${itemLink.to('show').with('bookingLine', '_ID_')}" data-data-export-csv-url="${collectionLink.to('exportCsv')}" data-data-export-xls-url="${collectionLink.to('exportXls')}" data-data-export-pdf-url="${collectionLink.to('exportPdf')}" data-data-create-url="${collectionLink.to('createForm')}" data-data-edit-url="${itemLink.to('editForm').with('bookingLine', '_ID_')}" data-data-delete-url="${itemLink.to('delete').with('bookingLine', '_ID_')}" data-data-delete-batch-url="${collectionLink.to('deleteBatch').with('ids', '_ID_')}">
                <caption class="sr-only" data-th-text="#{label_list_entity(#{label_bookingline_plural})}">BookingLine List</caption>
                <thead>
                  <tr>
                    <th data-data="description" data-th-text="#{label_bookingline_description}">description</th>
                    <th data-data="cancelled" data-th-text="#{label_bookingline_cancelled}">cancelled</th>
                    <th data-data="fromDate" data-th-text="#{label_bookingline_fromdate}">fromDate</th>
                    <th data-data="toDate" data-th-text="#{label_bookingline_todate}">toDate</th>
                    <th data-data="priceCost" data-th-text="#{label_bookingline_pricecost}">priceCost</th>
                    <th data-data="id" data-orderable="false" data-searchable="false" class="dttools" data-th-text="#{label_tools}">Tools</th>
                  </tr>
                </thead>
                <tbody data-th-remove="all">
                  <tr>
                    <td>description</td>
                    <td>cancelled</td>
                    <td>fromDate</td>
                    <td>toDate</td>
                    <td>priceCost</td>
                    <td data-th-text="#{label_tools}">Tools</td>
                  </tr>
                </tbody>
              </table>
              <!-- content replaced by modal-confirm fragment of modal-confirm.html -->
              <div data-th-replace="~{fragments/modal-confirm-delete :: modalConfirmDelete(tableId='bookingline-entity-table',
                  title=#{label_delete_entity(#{label_bookingline_plural})}, message=#{info_delete_item_confirm}, baseUrl = @{/bookinglines/})}">
              </div>
          </div>
          <!-- /TABLE -->
          

          <div class="clearfix">
            <div class="pull-left">
              <a href="../index.html" class="btn btn-default" data-th-href="@{/}">
                 <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
                 <span data-th-text="#{label_back}">Back</span>
              </a>
            </div>
          </div>

        </div>
      </section>
      <!-- /CONTENT-->
    </div>
    <!-- /CONTAINER-->

    <footer class="container">
      <!-- Content replaced by layout of the page displayed -->
    </footer>

    <!-- JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so that the pages load faster -->
    <!-- JavaScript loaded by layout of the page displayed -->
    <!--
         Only the inner content of the following tag "javascript" is included
         within the template, in the div "javascript"
        -->
    <div data-layout-fragment="javascript">
    </div>

  </body>

</html>
